Subject: Re: PowerPC BUG: using smp_processor_id() in preemptible code

From: Peter Zijlstra <[email-masked]>
Date: Thu, 24 Feb 2011 22:27:55 +0100

On Fri, 2011-02-25 at 08:23 +1100, Benjamin Herrenschmidt wrote:
> 
> I don't think that's needed here as there shall be no batching happening
> on the vmalloc space, but it can't hurt to merge it regardless :-)

Ah, due to the !batch->active thing? OK, then yeah Hugh's bit is
sufficient.